package com.yc.education.mapper;

import com.yc.education.model.Classification;
import com.yc.education.util.MyMapper;

import java.util.List;

/**
 * huangpan
 * 2019/9/24
 * energy
 */
public interface ClassificationMapper extends MyMapper<Classification> {
    List<Classification> getClassification();
    /*新增*/
    void saveClassification(Classification classification);
    /*查询单条*/
    Classification getClassificationId(Integer id);
    /*修改*/
    void updateClassification(Classification classification);
    /*删除*/
    void deleteClassification(Integer id);

    List<Classification> getClassificationSort();

    List<Classification> recommendId();
}
